Infrastructure - Task #6704

cn-sandbox.test.dataone.org returns 500 Internal Server Error when attempting to update node
capabilities
2014-12-09 03:56 - Mark Servilla

Status: Closed Start date: 2014-12-09
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Environment.Sandbox Estimated time: 0.00 hour

Target version:
Milestone: None Story Points:

*

Product Version:

Description

The cn-sandbox.test.dataone.org server returns a 500 Internal Server Error when attempting to update node capabilities when using
a DataONE issued member node client certificate through either the GMN manage.py application script and or curl (see below):

HTTP/1.1 100 Continue

HTTP/1.1 500 Internal Server Error
Date: Tue, 09 Dec 2014 03:30:56 GMT
Server: Apache/2.2.22 (Ubuntu)
Access-Control-Allow-Origin: *

Vary: Accept-Encoding

Connection: close

Transfer-Encoding: chunked
Content-Type: text/xml;charset=UTF-8

<?xml version="1.0" encoding="UTF-8"7?>

Internal Server Error: The server encountered an
unexpected condition which prevented it from fulfilling the
request.

The Tomcat log file on cn-sandbox-ucsb-1.test.dataone.org shows the following error:

20141203-23:22:08: [ERROR]: Invoking request method resulted in exception : public void
org.dataone.cn.rest.web.AbstractWebController.handleException(org.dataone.service.exceptions.NotAuthorized,javax.servlet.http.Htt
pServletRequest,javax.servlet.hitp.HttpServletResponse)
[org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerExceptionResolver]

This error is repeatable and occurs with either the NKN or LTER test certificates and from both Ubuntu and RedHat client servers.
Note: this error does not occur on cn-stage.test.dataone.org when using the LTER test certificate.

History

#1 - 2014-12-12 16:54 - Mark Servilla
- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

This issue has apparently been resolved after Tomcat on cn-sandbox-ucsb-1.test.dataone.org was restarted by Skye Roseboom on 10 December
during regular updates.

2024-05-19 1/1



http://www.tcpdf.org

